# ELISA: Efficient Library for Spectral Analysis in High-Energy Astrophysics

[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/elisa-lib?color=blue&logo=Python&logoColor=white&style=for-the-badge)](https://pypi.org/project/elisa-lib)
[![PyPI - Version](https://img.shields.io/pypi/v/elisa-lib?color=blue&logo=PyPI&logoColor=white&style=for-the-badge)](https://pypi.org/project/elisa-lib)
[![License: GPL v3](https://img.shields.io/github/license/wcxve/elisa?color=blue&logo=open-source-initiative&logoColor=white&style=for-the-badge)](https://www.gnu.org/licenses/gpl-3.0)<br>
[![Coverage Status](https://img.shields.io/coverallsCoverage/github/wcxve/elisa?logo=Coveralls&logoColor=white&style=for-the-badge)](https://coveralls.io/github/wcxve/elisa)
[![Documentation Status](https://img.shields.io/readthedocs/elisa-lib?logo=Read-the-Docs&logoColor=white&style=for-the-badge)](https://elisa-lib.readthedocs.io/en/latest/?badge=latest)

The aim of ``ELISA`` is to provide a modern and efficient tool to explore and
analyze the spectral data. It is designed to be user-friendly and flexible.
The key features of ``ELISA`` include:

- **Ease of Use**: Simple and intuitive interfaces
- **Robustness**: Utilizing the state-of-the-art algorithm to fit, test, and compare models
- **Performance**: Efficient computation backend based on [JAX](https://jax.readthedocs.io/en/latest/notebooks/quickstart.html)
- ...

```{admonition} How to find your way around?
:class: tip

🖥️ Ready to give it a try? Start with the {ref}`installation` section and then
explore our {ref}`tutorials`.

📚 Curious about the details? The {ref}`guide` has you covered, including the
{ref}`api`.

💡 Encountering issues? Don’t worry! See the {ref}`troubleshooting` page for
helpful tips and tricks.

🐛 If the {ref}`troubleshooting` section doesn’t clear things up, or if you
stumble upon bugs, we’d love your input! Check out our {ref}`contributing`
section and share your findings on the
[GitHub issues page](https://github.com/wcxve/elisa/issues).

👈 Take a peek at the sidebar for the full table of contents.
```

## Table of contents

```{toctree}
:maxdepth: 2

guide
tutorials
contributing
api
GitHub Repository <https://github.com/wcxve/elisa>
```
